Ubuntu 6.06 LTS / 6.10 / 7.04 : xfsdump vulnerability (USN-516-1)

Ubuntu Security Notice (C) 2007-2013 Canonical, Inc. / NASL script (C) 2007-2013 Tenable Network Security, Inc.


Synopsis :

The remote Ubuntu host is missing a security-related patch.

Description :

Paul Martin discovered that xfs_fsr creates a temporary directory with
insecure permissions. This allows a local attacker to exploit a race
condition in xfs_fsr to read or overwrite arbitrary files on xfs
filesystems.

Solution :

Update the affected xfsdump package.

Risk factor :

Medium / CVSS Base Score : 4.4
(CVSS2#AV:L/AC:M/Au:N/C:P/I:P/A:P)

Family: Ubuntu Local Security Checks

Nessus Plugin ID: 28121 ()

Bugtraq ID:

CVE ID: CVE-2007-2654